Vulnerability CVE-2016-2099


Published: 2016-05-13

Description:
Use-after-free vulnerability in validators/DTD/DTDScanner.cpp in Apache Xerces C++ 3.1.3 and earlier allows context-dependent attackers to have unspecified impact via an invalid character in an XML document.

Type:

CWE-Other

CVSS2 => (AV:N/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
10/10
10/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Opensuse -> Opensuse 
Novell -> Opensuse 
Apache -> Xerces c++ 
Apache -> Xerces-c++ 

 References:
http://lists.opensuse.org/opensuse-updates/2016-07/msg00016.html
http://lists.opensuse.org/opensuse-updates/2016-07/msg00053.html
http://lists.opensuse.org/opensuse-updates/2016-09/msg00013.html
http://www.debian.org/security/2016/dsa-3579
http://www.openwall.com/lists/oss-security/2016/05/09/7
http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html
http://www.securityfocus.com/bid/90502
https://issues.apache.org/jira/browse/XERCESC-2066
https://security.gentoo.org/glsa/201612-46

Copyright 2021, cxsecurity.com

 

Back to Top